<?php
/**
 * @package Joomla
 * @subpackage Abook
 * @copyright (C) 2010-2019 Federica Ugolotti
 * @license GNU/GPL, see LICENSE.php
 * Abook is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 3
 * as published by the Free Software Foundation.

 * Abook is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Abook; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
// no direct access
defined('_JEXEC') or die;
JHtml::_('bootstrap.tooltip');
JHtml::_('behavior.multiselect');
//JHtml::_('formbehavior.chosen', 'select');
JHtml::_('formbehavior.chosen', 'select', null, array('disable_search_threshold' => 0 ));
$listOrder	= $this->state->get('list.ordering');
$listDirn	= $this->state->get('list.direction');
$letter       = $this->state->get('filter.letter');
$author       = $this->state->get('filter.author_id');
$year       = $this->state->get('filter.year');
$editor       = $this->state->get('filter.editor_id');
$category       = $this->state->get('filter.category_id');
$tag       = $this->state->get('filter.tag_id');
?>
<form action="<?php echo htmlspecialchars(JUri::getInstance()->toString()); ?>" method="post" name="adminForm" id="adminForm" class="form-inline">
<?php echo JLayoutHelper::render('joomla.searchtools.default', array('view'=>$this));?>
<div class="clr clearfix"></div>
<?php
$n=0;
if ($filters=$this->filterForm->getData()->get('filter')){
	foreach ($filters as $key => $value){
        	$n=$n + ($value!=''?1:0);
	}
}
?>
<?php if (empty($this->items)) :?>
	<h3><?php echo JText::_('COM_ABOOK_RESULTS'); ?>: <span class="badge"><?php echo $this->total;?></span></h3> 
       	<p><?php echo JText::_('COM_ABOOK_NO_BOOKS'); ?></p>
<?php else:?>
	<?php if($n==0){?>
		<h3><?php echo JText::_('COM_ABOOK_ALL_BOOKS'); ?>: <span class="badge"><?php echo $this->total;?></span></h3>
	<?php }else{?>
		<h3><?php echo JText::_('COM_ABOOK_RESULTS'); ?>: <span class="badge"><?php echo $this->total;?></span></h3>
        <?php }?>
	<table class="table table-hover books">
		<tbody>
			<?php foreach($this->items as $i => $item) : ?>
				<?php echo JLayoutHelper::render('category.item', array('params' => $item->params, 'item' => $item, 'print' => false)); ?>
			<?php endforeach; ?>
		</tbody>
	</table>
<?php endif; ?>
<div class="pull-right"><?php echo JHTML::_('we.we') ?></div>
<div class="clearfix"></div>
<?php // Add pagination links ?>
<?php if (!empty($this->items)) : ?>
        <?php if ($this->params->def('show_pagination', 1)) : ?>
        <div class="pagination">
                <?php if ($this->params->def('show_pagination_count', 1)) : ?>
                        <p class="counter pull-right">
                                <?php echo $this->pagination->getPagesCounter(); ?>
                        </p>
                <?php endif; ?>
		<?php echo $this->pagination->getPagesLinks(); ?>
		<?php if ($this->params->def('show_pagination_results', 0)) : ?>
                        <p class="pagnum"><?php echo $this->pagination->getResultsCounter();?></p>
                <?php endif; ?>
        </div>
	<?php endif; ?>
<?php endif; ?>
	<div>
		<input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>" />
		<input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>" />
		<input type="hidden" name="letter" value="<?php echo $letter; ?>" />
		<input type="hidden" name="limitstart" value="" />
		<input type="hidden" name="task" value="search.search" />
	</div>
</form>
